jira-wiki-markup-1.5.1: Handle Jira wiki markup

Copyright | © 2019–2023 Albert Krewinkel
License | MIT
Maintainer | Albert Krewinkel <tarleb@zeitkraut.de>
Stability | alpha
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell2010

Text.Jira.Parser

Description

Parse Jira wiki markup.

Synopsis

- parse :: Text -> Either ParseError Doc
- doc :: JiraParser Doc
- module Text.Jira.Markup
- module Text.Jira.Parser.Core
- module Text.Jira.Parser.Inline
- module Text.Jira.Parser.Block
- module Text.Jira.Parser.PlainText

# Documentation

parse :: Text -> Either ParseError Doc Source #

Parses a document into a Jira AST.

doc :: JiraParser Doc Source #

Parses a list of jira blocks into a ``Doc`` element.

module Text.Jira.Markup

module Text.Jira.Parser.Core

module Text.Jira.Parser.Inline

module Text.Jira.Parser.Block

module Text.Jira.Parser.PlainText